E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
gbase64.cpp File Reference
`#include "gdef.h"`
`#include "gbase64.h"`
`#include "gassert.h"`
`#include "gstr.h"`
`#include <cstring>`

Go to the source code of this file.

## Functions
std::string | imp::encode (const std::string &s, const std::string &eol)
std::string | imp::decode (const std::string &s, bool &error)
bool | imp::valid (const std::string &)
g_uint32_t | imp::numeric (char c)
void | imp::accumulate_8 (g_uint32_t &n, std::string::const_iterator &, std::string::const_iterator, int &)
size_t | imp::hi_6 (g_uint32_t n)
void | imp::generate_6 (g_uint32_t &n, int &i, std::string &result)
char | imp::to_char (g_uint32_t n)
size_t | imp::index (char c, bool &error)
void | imp::accumulate_6 (g_uint32_t &n, const std::string &, size_t &, size_t &, bool &error)
g_uint32_t | imp::hi_8 (g_uint32_t n)
void | imp::generate_8 (g_uint32_t &n, size_t &i, std::string &result, bool &error)

## Variables
const char * | imp::character_map = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"
char | imp::pad = '='